
QGIS Application - Bug report #14692

Bug on sip_corepart0.cpp during compilation of QGIS 2.14.0

2016-04-15 05:26 AM - lise lebouc

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.14.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22656

Description

I try to install QGIS 2.14.0 on Red Hat 6.6 but I obtain this message :

[ 82%] Building CXX object python/CMakeFiles/python_module_qgis__core.dir/core/sip_corepart0.cpp.o

Reaping winning child 0x00a14d70 PID 115487

[…]

Live child 0x00a14d70 (python/CMakeFiles/python_module_qgis__core.dir/core/sip_corepart0.cpp.o) PID 115488

/work/hpc/leboucl/2016-SUPPORT/QGIS/build_qgis-2.14.0/python/core/sip_corepart0.cpp:33824:29: error: invalid covariant

return type for ‘virtual QgsAbstractGeometryV2* sipQgsPolygonV2::clone() const’

     void setExteriorRing(QgsCurveV2 *);

                             ^

In file included from /work/hpc/leboucl/2016-SUPPORT/QGIS/qgis-2.14.0/python/core/geometry/qgspolygonv2.sip:4:0:

/work/hpc/leboucl/2016-SUPPORT/QGIS/qgis-2.14.0/python/../src/core/geometry/qgspolygonv2.h:38:27: error:   overriding

‘virtual QgsPolygonV2* QgsPolygonV2::clone() const’

     virtual QgsPolygonV2* clone() const override;

                           ^

[…]

Reaping losing child 0x00a14d70 PID 115488

make[2]: *** [python/CMakeFiles/python_module_qgis__core.dir/core/sip_corepart0.cpp.o] Error 1

Removing child 0x00a14d70 PID 115488 from chain.

The version of all the dependences are:

Cmake : 3.4.3

Qt : 4.8.4

Proj : 4.7

Qwt : 5.2.1

Flex : 2.5.35

Otb : 5.2.1

Gcc : 4.8.2

Geos : 3.4.2

Bison : 2.4.1

Gdal 1.11.2

Fftw : 3.3.3

Python: 2.7.5

Spatialite: 4.3.0a

FREEXL:  1.0.2

QScintilla: 2.9.1

Qca: 2.1.0
GSL: 2.1

Spatialindex: 1.8.5

Grass: 7.0.3

Freetype: 2.6

The cmake command that I used is:

cmake VERBOSE=1 -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON  -DUSE_SYSTEM_BOOST=ON -DBUILD_TESTING=OFF

-DCMAKE_BUILD_TYPE=Release  -DCMAKE_INSTALL_PREFIX:PATH=$install_dir $src_dir

Do I need to declare any environment variable more ?

Thank you by advance,

Best regards

History

#1 - 2016-04-15 05:47 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this a bug report or a question? of is the latter please ask in the developer mailing list, or in the #QGIS IRC channel.

#2 - 2016-04-15 06:23 AM - Jürgen Fischer

Probably your sip (which isn't listed above) is too old (ubuntu precise uses sip 4.13.2 and is probably the eldest sip we currently build with)

#3 - 2016-04-15 06:33 AM - lise lebouc

It's a question about the build. But I don't know if the build failed because of a bug on QGIS or because something I made wrong.

I used the sip 4.15.2. Is it too old?

#4 - 2016-05-23 07:49 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

lise lebouc wrote:

It's a question about the build. But I don't know if the build failed because of a bug on QGIS or because something I made wrong.

I used the sip 4.15.2. Is it too old?

from the above answer is seems too new, anyway questions like this one are better asked in the developers mailing list. The tracker should be only to
report issues that are more or less confirmed.
